{% set Alarm_Name = 'test_alarm_name' %}
{% set Random_Uuid = salt['cmd.run']('cat /proc/sys/kernel/random/uuid') %}

aodhv2_alarm_create:
  module.run:
    - name: aodhv2.alarm_create
    - kwargs:
        cloud_name: admin_identity
        name: {{ Alarm_Name }}
        type: gnocchi_resources_threshold
        gnocchi_resources_threshold_rule:
          metric: cpu_util
          aggregation_method: mean
          threshold: '70.0'
          resource_id: {{ Random_Uuid }}
          resource_type: instance


aodhv2_alarm_list:
  module.run:
    - name: aodhv2.alarm_list
    - kwargs:
        cloud_name: admin_identity


aodhv2_alarm_delete:
  module.run:
    - name: aodhv2.alarm_delete
    - kwargs:
        cloud_name: admin_identity
        alarm_id: {{ Alarm_Name }}
