{%- if pillar.get('runtest',{}).get('openstack_version') not in ('stable/mitaka', 'stable/newton') -%}
{%- from "runtest/map.jinja" import tempest with context %}
{%- set glance_properties = '{"container_format": "bare", "disk_format": "raw", "protected": false, "tags": ["tags1", "tags2"], "visibility": "public"}' %}
glance_image_present:
  glancev2.image_present:
  - cloud_name: admin_identity
  - name: TestImage
  - location: {{ tempest.local_image_url }}
  - timeout: {{ tempest.get('local_image_timeout', 600) }}
  - image_properties: {{ glance_properties }}

glance_image_absent:
  glancev2.image_absent:
  - cloud_name: admin_identity
  - name: TestImage
  - require:
    - glance_image_present

{%- endif -%}
