create_heatv1_state_resource:
  file.managed:
  - name: /srv/heat/env/template/heat_test_tempate.yml
  - source: salt://runtest/files/heat_test_tempate.yml
  - template: jinja
  - makedirs: true
  - mode: 644
  - user: root
  - group: root

heatv1_stack_present:
  heatv1.stack_present:
   - name: TestHeatStack
   - cloud_name: admin_identity
   - template: heat_test_tempate.yml

heatv1_stack_absent:
  heatv1.stack_absent:
   - name: TestHeatStack
   - cloud_name: admin_identity

remove_heatv1_state_resource:
  file.directory:
  - name: /srv/heat
  - clean: True